Category5.TV Community Forum
copy collector config failed - Printable Version

+- Category5.TV Community Forum (https://forum.category5.tv)
+-- Forum: NEMS - Nagios Enterprise Monitoring Server (https://forum.category5.tv/forum-8.html)
+--- Forum: Bug Reports (https://forum.category5.tv/forum-38.html)
+--- Thread: copy collector config failed (/thread-264.html)

Pages: 1 2 3


copy collector config failed - sbrock - 06-18-2018

Hi Robbie

just restarted and now nconf is now showing
source_file FAILED Source file does not exist (/tmp/Default_collector/
when clicking deploy config

any suggestions on a fix

thanks


RE: copy collector config failed - Robbie Ferguson - 06-18-2018

Hmm, when you say you just restarted, you mean, a simple reboot and this is happening? More info would help.

Thanks,
Robbie


RE: copy collector config failed - sbrock - 06-18-2018

I ran the update and its now showing 1.4.1.1, then rebooted, generating looks fine, just when you click deploy failed on the copy collector config
in nagios it only show the nems server


RE: copy collector config failed - Robbie Ferguson - 06-19-2018

Any chance I can SSH in to your NEMS server? Looks like something went awry during the update. I'd like to inspect it and fix it for you.

Email me the credentials - robbie@category5.tv and I'll have a look.

Thanks,
Robbie


RE: copy collector config failed - automationgeek - 06-20-2018

I upgraded from 1.3.1 to 1.4.1, then applied my existing nems backup and now anytime I generate a configuration using the NCONF, I'm getting the source_file FAILED Source file does not exist (/tmp/Default_collector/ )

Not sure if you had a resolution ?


RE: copy collector config failed - Robbie Ferguson - 06-21-2018

Hmm, thanks gang. I'll investigate this for you and see what it'll take to patch your servers. I imagine this is a wider-spread issue than just the two of you... which isn't good. It sounds like this happens after importing your backup, so maybe that's a hint.

Will keep you posted.


RE: copy collector config failed - Robbie Ferguson - 06-21-2018

automationgeek does your NEMS version show 1.4.1 or 1.4.1.1?


RE: copy collector config failed - Robbie Ferguson - 06-21-2018

sbrock I've patched your server so it now reflects the correct version (1.4.1.1 doesn't exist).

Looking at the config issue.


RE: copy collector config failed - Robbie Ferguson - 06-21-2018

I have found the bug, and it's a doozie. It may take me through the weekend to patch this one, but I'll have you all fixed up as quickly as possible.

Thanks for your patience and for letting me know about this problem!


RE: copy collector config failed - Robbie Ferguson - 06-21-2018

sbrock, as a test based on my findings, I made some changes to your NEMS server directly.

Please try generating a config, and if it works, I'll write a patch based on what I did and push it out to other NEMS servers.

Thanks!